#!/bin/sh

if [ -L gen/bstring-source ]; then
	rm gen/bstring-source gen/bstring-include || exit
fi


bstring_inc=
bstring_src=

rem="${1#--bstring-src=}"
if [ \! "_$rem" = "_$1" ]; then
	bstring_inc="$rem"
	bstring_src="$rem"
fi








if [ -z "$bstring_inc" ]; then
	echo You must define --bstring-src='<path to bstring>'
	false; exit
fi

# Will be linked in gen, so prepend ../ for relative paths.
[ _"${bstring_src#/}" = _"$bstring_src" ] && bstring_src=../"$bstring_src"
[ _"${bstring_inc#/}" = _"$bstring_inc" ] && bstring_inc=../"$bstring_inc"
mkdir -p gen
ln -s "$bstring_src" gen/bstring-source
ln -s "$bstring_inc" gen/bstring-include




